Bug 295761 - Review Request: solarwolf - A Python port of SolarFox
Review Request: solarwolf - A Python port of SolarFox
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 22:57 EDT by Gwyn Ciesla
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:28:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2007-09-18 22:57:33 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/solarwolf/solarwolf.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/solarwolf/solarwolf-1.5-1.fc7.src.rpm
Description: The point of the game is to scramble through 60 levels
collecting space boxes. Each level gets is harder than
the previous. Obstacles like bullets, mines, and asteroids
cover your every move. Beat the Skip timer and grab the
powerups for your only chance.
Comment 1 Hans de Goede 2007-09-19 08:22:13 EDT
Shall we swap reviews again? It would be nice if you could review sdljava, then
I'm one step closer to getting bolzplatz approved (funny 3d footbal game, only
works on Fedora 8 test).
Comment 2 Hans de Goede 2007-09-19 08:39:35 EDT
Fully reviewed.

Must Fix:
---------
* Source0 gives a 404 error
* Use install -p -m 755 for .py file to preserve timestamp

Should fix:
-----------
* Use install -p -m 644 for the data files, moving them away will break 
  --shortcircuit builds
* Once this is done the chmod's are no longer needed, instead put a
  "#nothing to build" line in %build
Comment 3 Gwyn Ciesla 2007-09-19 19:01:52 EDT
I fixed the Source0.

If I change to install, it complains that it omits the data/audio and data/music
directories, and kills the build.  How do I get around that?  That's why I used
mv to begin with.  

Also, the chmods are to correct incorrect permissions in the source, not to
specify them during the install of the package.  Without the chmod, the %clean
and %install sections do not have rights to rm -rf %{buildroot}.
Comment 4 Hans de Goede 2007-09-20 02:19:07 EDT
(In reply to comment #3)
> If I change to install, it complains that it omits the data/audio and data/music
> directories, and kills the build.  How do I get around that?  That's why I used
> mv to begin with.  
> 

Ah, my bad, I missed that there were subdirs, use "cp -a" then (cp to not erase
the source files, -a to preserve timestamps)

> Also, the chmods are to correct incorrect permissions in the source, not to
> specify them during the install of the package.  Without the chmod, the %clean
> and %install sections do not have rights to rm -rf %{buildroot}.

Ah, I see, put them in %prep then please
Comment 6 Hans de Goede 2007-09-21 08:45:31 EDT
Approved!
Comment 7 Gwyn Ciesla 2007-09-21 08:54:43 EDT
Thank you!

New Package CVS Request
=======================
Package Name: solarwolf
Short Description: A Python port of SolarFox
Owners: limb
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 8 Hans de Goede 2007-09-21 09:19:28 EDT
You accidentally set the relase notes flag instead of the cvs one, fixing.
Comment 9 Gwyn Ciesla 2007-09-21 09:41:11 EDT
Thanks.

modprobe caffiene
Comment 10 Kevin Fenzi 2007-09-21 12:16:27 EDT
cvs done.
Comment 11 Fedora Update System 2007-09-25 04:28:38 EDT
solarwolf-1.5-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.